Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.business.mycarenetcommons.domain
Class Period

    java.lang.Object
      be.ehealth.business.mycarenetcommons.domain.Period

All Implemented Interfaces:
  Serializable

    public class Period

extends Object
implements Serializable

maps to the mycarenet PeriodType. cfr documentation from mycarenet :

     •   Period: If the business request has a fixed period length, this can be omitted.  In case the business request has a variable period it must be provided.  See the relevant service catalogue for the specific rules.

See Also:
  Serialized Form

Constructor Summary
`Period(org.joda.time.DateTime begin, org.joda.time.DateTime end)`

Method Summary
`org.joda.time.DateTime` | `getBegin()`
`org.joda.time.DateTime` | `getEnd()`
`void` | `setBegin(org.joda.time.DateTime begin)`
`void` | `setEnd(org.joda.time.DateTime end)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Period

    public Period(org.joda.time.DateTime begin,
                  org.joda.time.DateTime end)

Parameters:
  `begin` -
  `end` -

Method Detail

### getBegin

    public org.joda.time.DateTime getBegin()

  Returns:
    the begin

### setBegin

    public void setBegin(org.joda.time.DateTime begin)

  Parameters:
    `begin` - the begin to set

### getEnd

    public org.joda.time.DateTime getEnd()

  Returns:
    the end

### setEnd

    public void setEnd(org.joda.time.DateTime end)

  Parameters:
    `end` - the end to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.